Index: trunk/admin/modules/Elezioni/ele_controlli.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_controlli.php	(revision 358)
+++ trunk/admin/modules/Elezioni/ele_controlli.php	(revision 360)
@@ -16,10 +16,17 @@
 	list($maschi,$femmine)=$res->fetch(PDO::FETCH_NUM);
 
-	$sql="select voti_uomini,voti_donne,voti_complessivi from ".$prefix."_ele_voti_parziale where id_sez='$id_sez' and id_parz='$id_parz'";
-	$res = $dbi->prepare("$sql");
-	$res->execute();
-	while(list($voti_u,$voti_d,$voti_t)=$res->fetch(PDO::FETCH_NUM))
-		if((($voti_u+$voti_d!=$voti_t && $voti_u+$voti_d>0) || $voti_u>$maschi || $voti_d>$femmine || $voti_t>$maschi+$femmine) ) {$err=1; break;}
-
+	$sql="select voti_uomini,voti_donne,voti_complessivi,id_gruppo from ".$prefix."_ele_voti_parziale where id_sez='$id_sez' order by id_gruppo,data,orario";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+	$votiu2=0;$votid2=0;$votit2=0;$idg2=-1;
+	while(list($voti_u,$voti_d,$voti_t,$idg)=$res->fetch(PDO::FETCH_NUM)) {
+		if($idg2!=$idg) {
+			$votiu2=0;$votid2=0;$votit2=0;
+			$idg2=$idg;
+		}
+		if((($voti_u+$voti_d!=$voti_t && $voti_u+$voti_d>0) || $voti_u>$maschi || $voti_d>$femmine || $voti_t>$maschi+$femmine ||$voti_u<$votiu2 ||$voti_d<$votid2 || $voti_t<$votit2) ) {
+			$err=1; break;}
+		$votiu2=$voti_u;$votid2=$voti_d;$votit2=$voti_t;
+	}
 	$tipo='affluenze';
 	$sql="select id from ".$prefix."_ele_controlli where tipo='$tipo' and id_sez='$id_sez' ";
@@ -28,8 +35,8 @@
 	$righe=$res->rowCount();
 	if($righe){
-		while(list($id)=$res->fetch(PDO::FETCH_NUM)){
-			if($id==$id_parz){
+		while(list($id)=$res->fetch(PDO::FETCH_NUM)){#die("$sql");
+#			if($id==$id_parz){
 				if(!$err){ 
-					$sql="delete from ".$prefix."_ele_controlli where tipo='$tipo' and id='$id_parz' ";
+					$sql="delete from ".$prefix."_ele_controlli where tipo='$tipo' and id_sez='$id_sez' ";
 					$res = $dbi->prepare("$sql");
 					$res->execute();
@@ -38,9 +45,9 @@
 				$err=0;
 				break;
-			}					
+#			}					
 		}
 	}
 	if($err){
-		$sql="insert into ".$prefix."_ele_controlli value('$id_cons','$id_sez','$tipo','$id_parz')";
+		$sql="insert into ".$prefix."_ele_controlli value('$id_cons','$id_sez','$tipo','$idg2')";#die("$sql");
 		$res = $dbi->prepare("$sql");
 		$res->execute();		
@@ -141,11 +148,11 @@
 		##############################
 	$err=0; $err2=0;
-	$sql="SELECT id_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons'";
+	$sql="SELECT id_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons'"; 
 	$resref = $dbi->prepare("$sql");
 	$resref->execute();	
-	$sql="SELECT sum(voti) FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez'";
+	$sql="SELECT sum(voti),count(voti) FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez'";
 	$resref = $dbi->prepare("$sql");
 	$resref->execute();
-	list($votig)=$resref->fetch(PDO::FETCH_NUM);
+	list($votig,$numrec)=$resref->fetch(PDO::FETCH_NUM);
 	$sql="SELECT max(voti_complessivi) FROM ".$prefix."_ele_voti_parziale where id_sez='$id_sez'";
 	$res3 = $dbi->prepare("$sql");
@@ -156,5 +163,5 @@
 	$res2->execute();
 	list($validi) = $res2->fetch(PDO::FETCH_NUM);
-	if($validi) {
+	if($validi and $numrec) {
 		$status=0;
 		$query="SELECT validi,nulli,bianchi,contestati,voti_nulli,solo_gruppo,validi_lista,contestati_lista,voti_nulli_lista,solo_lista FROM ".$prefix."_ele_sezioni as t1 where t1.id_sez='$id_sez'";
@@ -382,5 +389,5 @@
 
 		if(!$err){ 
-			$sql="delete from ".$prefix."_ele_controlli where tipo='lista' and id_sez='$id_sez' "; 
+			$sql="delete from ".$prefix."_ele_controlli where tipo='lista' and id_sez='$id_sez' and id='$id_lista'"; 
 			$res = $dbi->prepare("$sql");
 			$res->execute();
@@ -388,5 +395,5 @@
 
 	if($err){
-		$sql="select * from ".$prefix."_ele_controlli where tipo='lista' and id_sez='$id_sez' "; 
+		$sql="select * from ".$prefix."_ele_controlli where tipo='lista' and id_sez='$id_sez' and id='$id_lista'"; 
 		$res = $dbi->prepare("$sql");
 		$res->execute();
@@ -395,5 +402,5 @@
 			$sql="insert into ".$prefix."_ele_controlli value('$id_cons','$id_sez','$tipo','$id_lista')";
 			$res = $dbi->prepare("$sql");
-			$res->execute();	
+			$res->execute();	#die("TEST $sql");
 		}
 	}
